Bug 132008 - Provide "New window" action in the "GroupedBar compact" toolbar UI mode
Summary: Provide "New window" action in the "GroupedBar compact" toolbar UI mode
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.3.5.2 release
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-09 18:14 UTC by Jean-François Fortin Tam
Modified: 2020-05-13 11:01 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-François Fortin Tam 2020-04-09 18:14:53 UTC
The "New window" action/button is available in the standard toolbar mode (through the "Window" menu) and the "Tabbed" and "Tabbed compact" toolbar modes (in the "View" tab)... just not in the "GroupedBar compact" UI mode.

This feature is extremely useful to me to be able to edit multiple sheets at once in a spreadsheet, or multiple chapters within a monolithic text document, on multiple screens. Unfortunately, it cannot be used when the toolbar mode is "GroupedBar compact", which happens to be my favorite UI mode...
Comment 1 Heiko Tietze 2020-05-11 11:38:23 UTC
Andreas, up to you.
Comment 2 Commit Notification 2020-05-13 05:29:55 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/08a7b88a0877d6fd753fe8ab4532d9da527d21c6

tdf#132008 Provide NewWindow in Groupedbar compact view dropdown

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.